- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cobbler_sync – Sync Cobbler

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Sync Cobbler to commit changes.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host - | Default: "127.0.0.1" | The name or IP address of the Cobbler system.
password - / required |  | The password to log in to Cobbler.
port - |  | Port number to be used for REST connection. The default value depends on parameter `use_ssl`.
use_ssl boolean | Choices: no yes ← | If `no`, an HTTP connection will be used instead of the default HTTPS connection.
username - | Default: "cobbler" | The username to log in to Cobbler.
validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates will not be validated. This should only set to `no` when used on personally controlled sites using self-signed certificates.

## Notes

Note

- Concurrently syncing Cobbler is bound to fail with weird errors.
- On python 2.7.8 and older (i.e. on RHEL7) you may need to tweak the python behaviour to disable certificate validation. More information at Certificate verification in Python standard library HTTP clients.

## Examples

    - name: Commit Cobbler changes
      cobbler_sync:
        host: cobbler01
        username: cobbler
        password: MySuperSecureP4sswOrd
      run_once: yes
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.